import { EventEmitter } from "eventemitter3";
import { Peer } from "./peer";
import { ServerMessage } from "./servermessage";
import { ConnectionType } from "./enums";
export declare abstract class BaseConnection extends EventEmitter {
    readonly peer: string;
    provider: Peer;
    readonly options: any;
    protected _open: boolean;
    readonly metadata: any;
    readonly config: any;
    connectionId: string;
    peerConnection: RTCPeerConnection;
    abstract readonly type: ConnectionType;
    readonly open: boolean;
    constructor(peer: string, provider: Peer, options: any);
    abstract close(): void;
    abstract handleMessage(message: ServerMessage): void;
}
